Bug 891220 - nodejs-osenv - Look up environment settings specific to different operating systems
nodejs-osenv - Look up environment settings specific to different operating s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 891171 891175 891212
  Show dependency treegraph
 
Reported: 2013-01-02 03:57 EST by T.C. Hollingsworth
Modified: 2013-04-05 19:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-15 04:31:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-02 03:57:43 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-osenv.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-osenv-0.0.3-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4831064
FAS username: patches

Look up environment settings specific to different operating systems.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 T.C. Hollingsworth 2013-01-10 02:49:07 EST
Updated with empty %build sections and other issues found in various reviews.

Spec: http://patches.fedorapeople.org/npm/nodejs-osenv.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-osenv-0.0.3-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854364
Comment 2 Miro Hrončok 2013-01-13 16:21:38 EST
Summary OK.

TODO: Consider writing a bit longer description.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

$ rpmlint ../SRPMS/nodejs-osenv-0.0.3-2.fc18.src.rpm ../RPMS/noarch/nodejs-osenv-0.0.3-2.fc18.noarch.rpm
nodejs-osenv.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

False positive. OK

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Checked in LICENSE file, BSD. OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/osenv-0.0.3.tgz 
aafbb23637b7338c9025f9da336f31f96674d7926c30f209e4d93ce16d5251c4  ../SOURCES/osenv-0.0.3.tgz
$ spectool -g nodejs-osenv.spec 
Getting http://registry.npmjs.org/osenv/-/osenv-0.0.3.tgz to ./osenv-0.0.3.tgz
$ sha256sum osenv-0.0.3.tgz 
aafbb23637b7338c9025f9da336f31f96674d7926c30f209e4d93ce16d5251c4  osenv-0.0.3.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, build in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-osenv-0.0.3-2.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led 13 22:16 /usr/lib/node_modules/osenv
drwxr-xr-x    2 root    root                        0 led 13 22:16 /usr/lib/node_modules/osenv/node_modules
-rw-r--r--    1 root    root                     2164 čen 18  2012 /usr/lib/node_modules/osenv/osenv.js
-rw-r--r--    1 root    root                      606 čen 18  2012 /usr/lib/node_modules/osenv/package.json
drwxr-xr-x    2 root    root                        0 led 13 22:16 /usr/share/doc/nodejs-osenv-0.0.3
-rw-r--r--    1 root    root                     1318 čen 18  2012 /usr/share/doc/nodejs-osenv-0.0.3/LICENSE
-rw-r--r--    1 root    root                     1468 čen 18  2012 /usr/share/doc/nodejs-osenv-0.0.3/README.md

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Package APPROVED.

Please consider solving TODO (better Description).
Comment 3 T.C. Hollingsworth 2013-01-13 16:29:10 EST
New Package SCM Request
=======================
Package Name: nodejs-osenv
Short Description: Look up environment settings specific to different operating systems
Owners: patches 
Branches: f18 el6
InitialCC:
Comment 4 Jon Ciesla 2013-01-14 07:11:22 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-04-05 19:15:39 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.